Macro ForceRecompute: Difference between revisions

From FreeCAD Documentation
m (Description +)
m (Description)
Line 5: Line 5:
|Name=Macro Force Recompute
|Name=Macro Force Recompute
|Icon=Force_Recompute.png
|Icon=Force_Recompute.png
|Description=This small macro forces a manual recompute of the model.<br>Sometimes the user applies changes to the model in FreeCAD.<br>But FreeCAD does not seem to recognize them.<br>(Since FreeCAD v0.17, the effect of this macro can be achieved through GUI. Right-click project in model tree view, and pick "Mark to recompute" from context menu. After that, press Recompute button.)
|Description=This small macro forces a manual recompute of the model.
|Author=shoogen
|Author=shoogen
|Version=1.0
|Version=1.0

Revision as of 17:31, 29 December 2018

Other languages:

Macro Force Recompute

Description
This small macro forces a manual recompute of the model.
Sometimes the user applies changes to the model in FreeCAD.
But FreeCAD does not seem to recognize them.
(Since FreeCAD v0.17, the effect of this macro can be achieved through GUI. Right-click project in model tree view, and pick "Mark to recompute" from context menu. After that, press Recompute button.)

Macro version: 1.0
Last modified: 2014-09-01
Author: shoogen
Author
shoogen
Download
None
Links
Macro Version
1.0
Date last modified
2014-09-01
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Description

Sometimes the user applies changes to the model in FreeCAD. But FreeCAD does not seem to recognize them. So the blue "Recompute" icon stayes greyed out. This small macro forces a manual recompute of the model.

Since FreeCAD v0.17, the effect of this macro can be achieved through GUI. Right-click project in model tree view, and pick "Mark to recompute" from context menu. After that, press Recompute button.

Use

Just run the macro when needed.

Script

Macro Force_Recompute.py

# -*- coding: utf-8 -*-
# Force Recompute
# macro provided by shoogen

import FreeCAD
for obj in FreeCAD.ActiveDocument.Objects:
 obj.touch()
FreeCAD.ActiveDocument.recompute()